#include "player.h"
#include <gint/display.h>
#include <gint/keyboard.h>

static Player player;

static void init(void);
static void deinit(void);
static void draw(void);
static void update(void);

int
main(void)
{
	init();

	draw();
	do {
		update();
		draw();
	} while (!keydown(KEY_EXIT));

	deinit();
	return 0;
}

static void
init(void)
{
	player_init(&player);
}

static void
deinit(void)
{
}

static void
update(void)
{
	clearevents();
	player_update(&player);
}

static void
draw(void)
{
	dclear(C_BLACK);
	player_draw(&player);
	dupdate();
}
